MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028203Open CASCADE[OCCT] OCCT:Codingpublic2016-12-08 19:012018-07-10 21:21
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityintegration request 
StatusnewResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0028203: Coding rules - check testing with MMGT_CLEAR turned OFF
DescriptionFor the moment, the option MMGT_CLEAR is turned ON by both - default environment scripts and within Standard.cxx itself:

  aVar = getenv ("MMGT_CLEAR");
  Standard_Boolean toClear     = (aVar ? (atoi (aVar) != 0) : Standard_True);


This option is intended to clear (fill with zeros) memory blocks allocated by standard OCCT allocators (e.g. Standard::Allocate()).

This practice, however, has side effects:
- It might hide possible issues in OCCT algorithms due to usage of uninitialized memory.
- Zeroing memory increases time required for memory allocation.

Therefore, it is proposed to perform regression testing of OCCT with MMGT_CLEAR turned OFF (set "MMGT_CLEAR=0") and collect information about current state (e.g. if there some regressions / the performance difference).
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0029769feedbackabv Community Uninitialized data with BSplCLib_Cache, BSplSLib_Cache 
related to 0029944verifiedbugmaster Open CASCADE Porting to Debian80 64 bit : Regressions on the gcc (Debian 4.9.2-10) 4.9.2. Exception is raised during load STEP file 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0061516)
kgv (developer)
2016-12-08 23:31

Total cases: 276 BAD, 10064 FAILED, 4 IMPROVEMENT, 8619 OK, 7 SKIPPED
Elapsed time: 1 Hours 45 Minutes 5.92951765563 Seconds

- Issue History
Date Modified Username Field Change
2016-12-08 19:01 kgv New Issue
2016-12-08 19:01 kgv Assigned To => kgv
2016-12-08 23:31 kgv Note Added: 0061516
2017-07-20 11:41 kgv Target Version 7.2.0 => 7.3.0
2018-02-25 21:04 abv Target Version 7.3.0 => 7.4.0*
2018-06-13 10:11 kgv Relationship added parent of 0029769
2018-07-10 21:21 kgv Relationship added related to 0029944


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker